import { h } from '@stencil/core';
import bad from '../../assets/bad.svg?format=text';
import notWell from '../../assets/not-well.svg?format=text';
import okay from '../../assets/okay.svg?format=text';
import supa from '../../assets/super.svg?format=text';
import well from '../../assets/well.svg?format=text';
import empty from '../../assets/empty.svg?format=text';
import { SmileyState } from '../../types/smiley';
export const SmileyAsset = ({ smiley }) => {
  if (!smiley) {
    return h("div", { innerHTML: empty });
  }
  switch (smiley) {
    case SmileyState.BAD:
      return h("div", { innerHTML: bad });
    case SmileyState.NOT_WELL:
      return h("div", { innerHTML: notWell });
    case SmileyState.OKAY:
      return h("div", { innerHTML: okay });
    case SmileyState.SUPER:
      return h("div", { innerHTML: supa });
    default:
      return h("div", { innerHTML: well });
  }
};
